# some NT Win32 nmake macros
# for now this resides in samples\inc

!include <ntwin32.mak>

cvars=-DNT -DWIN -DWIN32

# This line allows NMAKE to work as well

all: nmmemsrv.exe nmmemcli.exe

# Update the object files if necessary

nmmemsrv.obj: nmmemsrv.c
    $(cc) $(cflags) $(cvars) nmmemsrv.c
    cvtomf nmmemsrv.obj

nmmemcli.obj: nmmemcli.c
    $(cc) $(cflags) $(cvars) nmmemcli.c
    cvtomf nmmemcli.obj

# Update the executable file if necessary

nmmemsrv.exe: nmmemsrv.obj
    $(link) $(conflags) -out:nmmemsrv.exe nmmemsrv.obj $(conlibs)

nmmemcli.exe: nmmemcli.obj
    $(link) $(conflags) -out:nmmemcli.exe nmmemcli.obj $(conlibs)
